<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>Article</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Article";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Article.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../beans/Customer.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Article.html" target="_top">Frames</a></li>
<li><a href="Article.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../beans/package-summary.html">beans</a></div>
<h2 title="Class Article" class="title">Class Article</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>beans.Article</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Article</span>
extends java.lang.Object</pre>
<div class="block">The Class Article. It represents one row of the table 'articles' in the database.
 It also contains the average stars of the reviews for this article.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>John Edwin Braun</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#Article--">Article</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getArticleNo--">getArticleNo</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the article no.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getAverageStars--">getAverageStars</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the average stars.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getCategory--">getCategory</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the category.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getCurrentStock--">getCurrentStock</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the current stock.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getDescription--">getDescription</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the description.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getMinStock--">getMinStock</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the minimum stock.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getName--">getName</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the name.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getPictureLink--">getPictureLink</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the picture link.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getPrice--">getPrice</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the price.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#getStatus--">getStatus</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the status.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setArticleNo-java.lang.String-">setArticleNo</a></span>&#8203;(java.lang.String&nbsp;articleNo)</code></th>
<td class="colLast">
<div class="block">Sets the article no.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setAverageStars-java.lang.String-">setAverageStars</a></span>&#8203;(java.lang.String&nbsp;averageStars)</code></th>
<td class="colLast">
<div class="block">Sets the average stars.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setCategory-java.lang.String-">setCategory</a></span>&#8203;(java.lang.String&nbsp;category)</code></th>
<td class="colLast">
<div class="block">Sets the category.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setCurrentStock-java.lang.String-">setCurrentStock</a></span>&#8203;(java.lang.String&nbsp;currentStock)</code></th>
<td class="colLast">
<div class="block">Sets the current stock.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setDescription-java.lang.String-">setDescription</a></span>&#8203;(java.lang.String&nbsp;description)</code></th>
<td class="colLast">
<div class="block">Sets the description.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setMinStock-java.lang.String-">setMinStock</a></span>&#8203;(java.lang.String&nbsp;minStock)</code></th>
<td class="colLast">
<div class="block">Sets the minimum stock.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setName-java.lang.String-">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Sets the name.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setPictureLink-java.lang.String-">setPictureLink</a></span>&#8203;(java.lang.String&nbsp;pictureLink)</code></th>
<td class="colLast">
<div class="block">Sets the picture link.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setPrice-java.lang.String-">setPrice</a></span>&#8203;(java.lang.String&nbsp;price)</code></th>
<td class="colLast">
<div class="block">Sets the price.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Article.html#setStatus-java.lang.String-">setStatus</a></span>&#8203;(java.lang.String&nbsp;status)</code></th>
<td class="colLast">
<div class="block">Sets the status.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Article--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Article</h4>
<pre>public&nbsp;Article()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPictureLink--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPictureLink</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPictureLink()</pre>
<div class="block">Gets the picture link.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the picture link</dd>
</dl>
</li>
</ul>
<a name="setPictureLink-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPictureLink</h4>
<pre>public&nbsp;void&nbsp;setPictureLink&#8203;(java.lang.String&nbsp;pictureLink)</pre>
<div class="block">Sets the picture link.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pictureLink</code> - the new picture link</dd>
</dl>
</li>
</ul>
<a name="getArticleNo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArticleNo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getArticleNo()</pre>
<div class="block">Gets the article no.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the article no</dd>
</dl>
</li>
</ul>
<a name="setArticleNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArticleNo</h4>
<pre>public&nbsp;void&nbsp;setArticleNo&#8203;(java.lang.String&nbsp;articleNo)</pre>
<div class="block">Sets the article no.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>articleNo</code> - the new article no</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">Gets the name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Sets the name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the new name</dd>
</dl>
</li>
</ul>
<a name="getDescription--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDescription()</pre>
<div class="block">Gets the description.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the description</dd>
</dl>
</li>
</ul>
<a name="setDescription-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDescription</h4>
<pre>public&nbsp;void&nbsp;setDescription&#8203;(java.lang.String&nbsp;description)</pre>
<div class="block">Sets the description.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>description</code> - the new description</dd>
</dl>
</li>
</ul>
<a name="getPrice--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrice</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPrice()</pre>
<div class="block">Gets the price.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the price</dd>
</dl>
</li>
</ul>
<a name="setPrice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrice</h4>
<pre>public&nbsp;void&nbsp;setPrice&#8203;(java.lang.String&nbsp;price)</pre>
<div class="block">Sets the price.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>price</code> - the new price</dd>
</dl>
</li>
</ul>
<a name="getCategory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCategory</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCategory()</pre>
<div class="block">Gets the category.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the category</dd>
</dl>
</li>
</ul>
<a name="setCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCategory</h4>
<pre>public&nbsp;void&nbsp;setCategory&#8203;(java.lang.String&nbsp;category)</pre>
<div class="block">Sets the category.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>category</code> - the new category</dd>
</dl>
</li>
</ul>
<a name="getMinStock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinStock</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMinStock()</pre>
<div class="block">Gets the minimum stock.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the minimum stock</dd>
</dl>
</li>
</ul>
<a name="setMinStock-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinStock</h4>
<pre>public&nbsp;void&nbsp;setMinStock&#8203;(java.lang.String&nbsp;minStock)</pre>
<div class="block">Sets the minimum stock.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minStock</code> - the new minimum stock</dd>
</dl>
</li>
</ul>
<a name="getCurrentStock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentStock</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCurrentStock()</pre>
<div class="block">Gets the current stock.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current stock</dd>
</dl>
</li>
</ul>
<a name="setCurrentStock-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentStock</h4>
<pre>public&nbsp;void&nbsp;setCurrentStock&#8203;(java.lang.String&nbsp;currentStock)</pre>
<div class="block">Sets the current stock.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentStock</code> - the new current stock</dd>
</dl>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;java.lang.String&nbsp;getStatus()</pre>
<div class="block">Gets the status.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the status</dd>
</dl>
</li>
</ul>
<a name="setStatus-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatus</h4>
<pre>public&nbsp;void&nbsp;setStatus&#8203;(java.lang.String&nbsp;status)</pre>
<div class="block">Sets the status.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>status</code> - the new status</dd>
</dl>
</li>
</ul>
<a name="getAverageStars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAverageStars</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAverageStars()</pre>
<div class="block">Gets the average stars.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the average stars</dd>
</dl>
</li>
</ul>
<a name="setAverageStars-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAverageStars</h4>
<pre>public&nbsp;void&nbsp;setAverageStars&#8203;(java.lang.String&nbsp;averageStars)</pre>
<div class="block">Sets the average stars.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>averageStars</code> - the new average stars</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Article.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../beans/Customer.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Article.html" target="_top">Frames</a></li>
<li><a href="Article.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
